package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
)

func main() {
	engine := gin.Default()
	/*engine.GET("/hello", func(context *gin.Context) {
		context.JSON(200, gin.H{
			"message": "pong",
		})
	})*/

	/*
	 使用Handle方法获取get请求的参数
	*/
	engine.Handle("GET", "/hello2", func(context *gin.Context) {
		//获取请求接口
		fmt.Println(context.FullPath())
		//获取字符串参数
		name := context.DefaultQuery("name", "")
		fmt.Println(name)
		//输出
		context.Writer.Write([]byte("Hello ," + name))
	})

	//engine中可以直接进行HTTP请求的处理，在engine中使用Handle方法进行http请求的处理。
	engine.Handle("POST", "/login", func(context *gin.Context) {
		//打印请求的全路径
		fmt.Println(context.FullPath())
		//从上下文对象中获取userName参数
		username := context.PostForm("username")
		fmt.Println(username)

		//passWord
		password := context.PostForm("pwd")
		fmt.Println(password)
		//输出
		context.Writer.Write([]byte("User login"))
	})

	//启动web引擎对象
	engine.Run(":8080") //监听并在0.0.0.0:8080上启动服务

}
